%define name rpmproc
%define version 1.8
%define release 1mdk

Name:		%{name}
Summary:	Perl script to help manage and build RPM packages
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Other
URL:		http://www.freezer-burn.org/scripts/rpmproc.php
Source:		%{name}-%{version}.tar.bz2
Patch:		%{name}.patch.bz2
Requires:	perl-Mail-Sendmail, rpm
BuildArch:	noarch
Buildroot:	%{_tmppath}/%{name}-buildroot


%description
rpmproc is a simple Perl program to help manage and build RPM packages for
those who want an easy wrapper to build RPMs.  rpmproc supports announcing
changelogs to a mailing list using either qmail or sendmail, signing RPMs,
uploading to a user-defined "contribs" site as well as uploading to a local
directory (ie. for systems that also make their RPMs available via FTP).


%prep -q
rm -rf $RPM_BUILD_ROOT

%setup
%patch

%build

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
mkdir -p %{buildroot}{%{_bindir},%{_sysconfdir}}
install -m755 $RPM_BUILD_DIR/%{name}-%{version}/rpmproc %{buildroot}%{_bindir}
install -m755 $RPM_BUILD_DIR/%{name}-%{version}/rpmproc.conf %{buildroot}%{_sysconfdir}


%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


%files
%defattr(-,root,root)
%doc README COPYING CHANGELOG
%{_bindir}/rpmproc
%config(noreplace) %{_sysconfdir}/rpmproc.conf


%changelog
* Tue Aug 28 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.8-1mdk
- 1.8

* Wed May 09 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.7-3mdk
- fixes from Guillaume Rousse <g.rousse@linux-mandrake.com> :
	- changed patch to modify all environment rather than individuals rpm call

* Sat May 05 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 1.7-2mdk
- add patch to correct locales used by changelog query

* Fri Jan 26 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.7-1mdk
- updated to 1.7

* Sun Aug  6 2000 Vincent Danen <vdanen@mandrakesoft.com> 1.6-1mdk
- 1.6

* Sun Jul 30 2000 Vincent Danen <vdanen@mandrakesoft.com> 1.5-1mdk
- 1.5
- macroization

* Sat Jun 17 2000 Vincent Danen <vdanen@linux-mandrake.com> 1.4-1mdk
- 1.4

* Sat Jun 10 2000 Vincent Danen <vdanen@linux-mandrake.com> 1.3-1mdk
- 1.3

* Wed Mar 10 2000 Vincent Danen <vdanen@linux-mandrake.com> 1.2-2mdk
- fixed error in %clean

* Tue Mar 7 2000 Vincent Danen <vdanen@linux-mandrake.com> 1.2-1mdk
- first public release
